<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::XsensDataReader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1XsensDataReader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1XsensDataReader-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::XsensDataReader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classOpenSim_1_1XsensDataReader.html" title="XsensDataReader is a class that reads files produced by IMU manufacturer Xsens and produces datatable...">XsensDataReader</a> is a class that reads files produced by <a class="el" href="classOpenSim_1_1IMU.html" title="IMU is a Model Component that represents an IMU along with its Geometry for visualization.">IMU</a> manufacturer Xsens and produces datatables from them.  
 <a href="classOpenSim_1_1XsensDataReader.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::XsensDataReader:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1XsensDataReader.png" usemap="#OpenSim::XsensDataReader_map" alt=""/>
  <map id="OpenSim::XsensDataReader_map" name="OpenSim::XsensDataReader_map">
<area href="classOpenSim_1_1IMUDataReader.html" alt="OpenSim::IMUDataReader" shape="rect" coords="0,56,171,80"/>
<area href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D..." alt="OpenSim::DataAdapter" shape="rect" coords="0,0,171,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0ed29e23313f6d3db616233437f70b47"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#a0ed29e23313f6d3db616233437f70b47">XsensDataReader</a> ()=default</td></tr>
<tr class="separator:a0ed29e23313f6d3db616233437f70b47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca2339e60f8881decddee390addc5df"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#adca2339e60f8881decddee390addc5df">XsensDataReader</a> (const <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a> &amp;settings)</td></tr>
<tr class="separator:adca2339e60f8881decddee390addc5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5d375fb21c860dfdea3298868d8b36"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#acc5d375fb21c860dfdea3298868d8b36">~XsensDataReader</a> ()=default</td></tr>
<tr class="separator:acc5d375fb21c860dfdea3298868d8b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa555b1fd847a6cbf640e104be39f681d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1XsensDataReader.html">XsensDataReader</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aa555b1fd847a6cbf640e104be39f681d">clone</a> () const override</td></tr>
<tr class="separator:aa555b1fd847a6cbf640e104be39f681d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafcd9e3636843a0cab9bedd9784e6edb"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aafcd9e3636843a0cab9bedd9784e6edb">getSettings</a> () const</td></tr>
<tr class="memdesc:aafcd9e3636843a0cab9bedd9784e6edb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to get const reference to the internal <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html" title="XsensDataReaderSettings is a class that reads files produced by IMU manufacturer Xsens and produces d...">XsensDataReaderSettings</a> object maintained by this reader.  <a href="classOpenSim_1_1XsensDataReader.html#aafcd9e3636843a0cab9bedd9784e6edb">More...</a><br /></td></tr>
<tr class="separator:aafcd9e3636843a0cab9bedd9784e6edb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa418320ba797aadfe3b4305f121d7ea9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aa418320ba797aadfe3b4305f121d7ea9">updSettings</a> ()</td></tr>
<tr class="memdesc:aa418320ba797aadfe3b4305f121d7ea9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to get writable reference to the internal <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html" title="XsensDataReaderSettings is a class that reads files produced by IMU manufacturer Xsens and produces d...">XsensDataReaderSettings</a> object maintained by this reader, to allow modification after construction.  <a href="classOpenSim_1_1XsensDataReader.html#aa418320ba797aadfe3b4305f121d7ea9">More...</a><br /></td></tr>
<tr class="separator:aa418320ba797aadfe3b4305f121d7ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1IMUDataReader"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1IMUDataReader')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td></tr>
<tr class="memitem:a8e3da602a6759c8e99a10da5ac6ba65c inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a8e3da602a6759c8e99a10da5ac6ba65c">IMUDataReader</a> ()=default</td></tr>
<tr class="separator:a8e3da602a6759c8e99a10da5ac6ba65c inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a602c42d473194ad0ec0d6f76db60186b inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a602c42d473194ad0ec0d6f76db60186b">IMUDataReader</a> (const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;)=default</td></tr>
<tr class="separator:a602c42d473194ad0ec0d6f76db60186b inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af020dfd8c07436eaf6b50f73b2c8ceb0 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af020dfd8c07436eaf6b50f73b2c8ceb0">IMUDataReader</a> (<a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;)=default</td></tr>
<tr class="separator:af020dfd8c07436eaf6b50f73b2c8ceb0 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae307f227896543b20bb113c36d92f595 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#ae307f227896543b20bb113c36d92f595">operator=</a> (const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;)=default</td></tr>
<tr class="separator:ae307f227896543b20bb113c36d92f595 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f08aa625cfecc6f8350206e4fc2318d inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a6f08aa625cfecc6f8350206e4fc2318d">operator=</a> (<a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a6f08aa625cfecc6f8350206e4fc2318d inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ac9bc356d31be4b41f6ef6e18193679 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a7ac9bc356d31be4b41f6ef6e18193679">~IMUDataReader</a> ()=default</td></tr>
<tr class="separator:a7ac9bc356d31be4b41f6ef6e18193679 inherit pub_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a> ()=default</td></tr>
<tr class="separator:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">operator=</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">operator=</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a> ()=default</td></tr>
<tr class="separator:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a> (const std::string &amp;dataSourceSpecification) const</td></tr>
<tr class="memdesc:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Public interface to read data from a dataSourceSpecification, typically a file or folder.  <a href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">More...</a><br /></td></tr>
<tr class="separator:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">const std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> &amp;tables, const std::string tableName)</td></tr>
<tr class="memdesc:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic interface to retrieve a specific table by name from read result.  <a href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">More...</a><br /></td></tr>
<tr class="separator:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1IMUDataReader"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1IMUDataReader')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td></tr>
<tr class="memitem:af099917355f76eef9a655cb887a709df inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; SimTK::Quaternion_&lt; double &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af099917355f76eef9a655cb887a709df">getOrientationsTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:af099917355f76eef9a655cb887a709df inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom accessors to retrieve tables of proper types without requiring users/scripters to cast.  <a href="classOpenSim_1_1IMUDataReader.html#af099917355f76eef9a655cb887a709df">More...</a><br /></td></tr>
<tr class="separator:af099917355f76eef9a655cb887a709df inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bdd448380aa45dfd23fb4345ea23547 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a9bdd448380aa45dfd23fb4345ea23547">getLinearAccelerationsTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a9bdd448380aa45dfd23fb4345ea23547 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of LinearAccelerations as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a9bdd448380aa45dfd23fb4345ea23547">More...</a><br /></td></tr>
<tr class="separator:a9bdd448380aa45dfd23fb4345ea23547 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c6f61fee0685d30a3dd8675ce430d2 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a44c6f61fee0685d30a3dd8675ce430d2">getMagneticHeadingTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a44c6f61fee0685d30a3dd8675ce430d2 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of MagneticHeading as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a44c6f61fee0685d30a3dd8675ce430d2">More...</a><br /></td></tr>
<tr class="separator:a44c6f61fee0685d30a3dd8675ce430d2 inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69fae092f9117a089bae64e0e5120f9e inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a69fae092f9117a089bae64e0e5120f9e">getAngularVelocityTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a69fae092f9117a089bae64e0e5120f9e inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of AngularVelocity as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a69fae092f9117a089bae64e0e5120f9e">More...</a><br /></td></tr>
<tr class="separator:a69fae092f9117a089bae64e0e5120f9e inherit pub_static_methods_classOpenSim_1_1IMUDataReader"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a> (const std::string &amp;identifier, const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;adapter)</td></tr>
<tr class="memdesc:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a concrete <a class="el" href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D...">DataAdapter</a> by its unique string identifier.  <a href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">More...</a><br /></td></tr>
<tr class="separator:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p><a class="el" href="classOpenSim_1_1XsensDataReader.html" title="XsensDataReader is a class that reads files produced by IMU manufacturer Xsens and produces datatable...">XsensDataReader</a> is a class that reads files produced by <a class="el" href="classOpenSim_1_1IMU.html" title="IMU is a Model Component that represents an IMU along with its Geometry for visualization.">IMU</a> manufacturer Xsens and produces datatables from them. </p>
<p>This is intended to help consume <a class="el" href="classOpenSim_1_1IMU.html" title="IMU is a Model Component that represents an IMU along with its Geometry for visualization.">IMU</a> outputs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0ed29e23313f6d3db616233437f70b47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ed29e23313f6d3db616233437f70b47">&#9670;&nbsp;</a></span>XsensDataReader() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::XsensDataReader::XsensDataReader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adca2339e60f8881decddee390addc5df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adca2339e60f8881decddee390addc5df">&#9670;&nbsp;</a></span>XsensDataReader() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::XsensDataReader::XsensDataReader </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a> &amp;&#160;</td>
          <td class="paramname"><em>settings</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acc5d375fb21c860dfdea3298868d8b36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5d375fb21c860dfdea3298868d8b36">&#9670;&nbsp;</a></span>~XsensDataReader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::XsensDataReader::~XsensDataReader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa555b1fd847a6cbf640e104be39f681d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa555b1fd847a6cbf640e104be39f681d">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1XsensDataReader.html">XsensDataReader</a>* OpenSim::XsensDataReader::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classOpenSim_1_1DataAdapter.html#abf6ef44f97ac71f9cd1bd2b080491e85">OpenSim::DataAdapter</a>.</p>

</div>
</div>
<a id="a0070db1b9aa04a3b572d597c582bc33b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0070db1b9aa04a3b572d597c582bc33b">&#9670;&nbsp;</a></span>extendRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> OpenSim::XsensDataReader::extendRead </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>folderName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Typically, Xsens can export a trial as one .mtb file (binary that we can't parse) or as collection of ASCII text files that are tab delimited, one per sensor. </p>
<p>All of these files have a common prefix that indicates the trial, and a suffix that indicates the sensor (fixed across trials). Example: MT_012005D6_031-000_00B421AF.txt, MT_012005D6_031-000_00B4227B.txt for trial MT_012005D6_031-000_and sensors 00B421AF, 00B4227B respectively. The function below reads all files in the given folder name, with common prefix (same trial). It produces a list of tables depending on the contents of the files read.</p><ul>
<li>One table for Orientations,</li>
<li>one table for LinearAccelerations</li>
<li>one table for MagneticHeading data,</li>
<li>one table for AngularVelocity data. If data is missing, an empty table is returned. </li>
</ul>

<p>Implements <a class="el" href="classOpenSim_1_1DataAdapter.html#af399918946e32c4792baaae9d57f6e88">OpenSim::DataAdapter</a>.</p>

</div>
</div>
<a id="a0104d824f8ec571328e4582d3a3449f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0104d824f8ec571328e4582d3a3449f6">&#9670;&nbsp;</a></span>extendWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::XsensDataReader::extendWrite </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">DataAdapter::InputTables</a> &amp;&#160;</td>
          <td class="paramname"><em>tables</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>sinkName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements writing functionality, not implemented. </p>

<p>Implements <a class="el" href="classOpenSim_1_1DataAdapter.html#a5b8abd291140013a639c3024ffa231e1">OpenSim::DataAdapter</a>.</p>

</div>
</div>
<a id="aafcd9e3636843a0cab9bedd9784e6edb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafcd9e3636843a0cab9bedd9784e6edb">&#9670;&nbsp;</a></span>getSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a>&amp; OpenSim::XsensDataReader::getSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Method to get const reference to the internal <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html" title="XsensDataReaderSettings is a class that reads files produced by IMU manufacturer Xsens and produces d...">XsensDataReaderSettings</a> object maintained by this reader. </p>

</div>
</div>
<a id="aa418320ba797aadfe3b4305f121d7ea9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa418320ba797aadfe3b4305f121d7ea9">&#9670;&nbsp;</a></span>updSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html">XsensDataReaderSettings</a>&amp; OpenSim::XsensDataReader::updSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Method to get writable reference to the internal <a class="el" href="classOpenSim_1_1XsensDataReaderSettings.html" title="XsensDataReaderSettings is a class that reads files produced by IMU manufacturer Xsens and produces d...">XsensDataReaderSettings</a> object maintained by this reader, to allow modification after construction. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/XsensDataReader.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1XsensDataReader.html">XsensDataReader</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:52 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
